function X=sgcp(kappa,tau,dsdt)
%The potential for the spherical surface that contains the curve
%wth curvature kappa and torsion tau as a cuspidal edge.

%kappa and tau are function handles of 1 variable, and the functions need
%to be analytic.  If the curve is not arc-length parameterized, then the
%speed function dsdt needs to be included
if nargin<3
    dsdt=@(t)1;
end
X=@(z,h)(1/2)*dsdt(z)*[0,(-1i*tau(z)-1)/2,1i*kappa(z),(-1i*tau(z)+1)/2,0,0;0,0,(-1i*tau(z)-1)/2,-1i*kappa(z),(-1i*tau(z)+1)/2,0];
end